Skip to main content
Conversations

Delete a conversation

Permanently deletes a conversation by its short ID.

DELETE
/v2/conversations/{id}

Path Parameters

  • id - The conversation short ID (numeric)

Response

Returns a deletion confirmation object:

{
  "id": "12345",
  "object": "conversation",
  "deleted": true
}

Caution

This operation is irreversible. The conversation and all its messages will be permanently deleted.

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Authorizationstringheaderrequired

API key as Bearer token. Use: Authorization: Bearer sk_...

idstringrequired

Conversation ID (short ID)

Required string length: 1 - 16
Pattern: ^[a-zA-Z0-9]+$
Example: 12345
Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Available options: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Example: 2026-08-19.orbit

Response

application/json

Success

deletedenum<boolean>required

Indicates the resource was deleted

Available options: true
Example: true
idstringrequired

Unique identifier of the deleted conversation

Example: 12345
objectenum<string>required

Object type identifier

Available options: conversation
Example: conversation